Bug 1121592 - Not possible to install a realm only capsule
Summary: Not possible to install a realm only capsule
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Stephen Benjamin
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 10:06 UTC by Stephen Benjamin
Modified: 2016-04-22 16:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:27:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6698 None None None 2016-04-22 16:22:43 UTC

Description Stephen Benjamin 2014-07-21 10:06:46 UTC
Description of problem:
Running the capsule installer to install a realm-only proxy isn't possible

Version-Release number of selected component (if applicable):
6.0.3 Beta

How reproducible:
Always

Steps to Reproduce:
1. Install a capsule like this:

capsule-installer --realm true --realm-keytab "/etc/foreman-proxy/idm.keytab" \
--realm-principal "realm-capsule@EXAMPLE.COM" --realm-provider freeipa

Actual results:
Foreman proxy is installed with realm capabilities

Expected results:
Foreman proxy isn't installed

Comment 1 Stephen Benjamin 2014-07-21 10:14:11 UTC
Created redmine issue http://projects.theforeman.org/issues/6698 from this bug

Comment 2 RHEL Product and Program Management 2014-07-21 10:14:13 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Stephen Benjamin 2014-08-01 12:16:09 UTC
Upstream commit to installer:
  5265f95fecc16874df921cdc10fc4faa0fb4c1d9

Comment 7 Kedar Bidarkar 2014-08-18 12:16:07 UTC
we can now install REALM only capsule.

[root@xxxxx ~]# rpm -qav | grep -i foreman-proxy
foreman-proxy-1.6.0.23-1.el6sat.noarch

[root@xxxxx ~]# cat /etc/foreman-proxy/settings.d/realm.yml
---
# Manage joining realms e.g. FreeIPA
:enabled: true

# Available providers:
#   freeipa
:realm_provider: freeipa

# Authentication for Kerberos-based Realms
:realm_keytab: /etc/foreman-proxy/freeipa.keytab
:realm_principal: realm-proxy@KATELLOLABS.ORG

# FreeIPA specific settings
# Remove from DNS when deleting the FreeIPA entry
:freeipa_remove_dns: true

NOTE:- 

1) Had to manually run "mkdir /etc/foreman-proxy"
2) move <name>.keytab file under the above dir structure
3) run the below command, 
capsule-installer --realm true --realm-keytab "/etc/foreman-proxy/freeipa.keytab" --realm-principal "realm-proxy@KATELLOLABS.ORG" --realm-provider freeipa


Installed Packages

    candlepin-0.9.19-1.el6_5.noarch
    candlepin-scl-1-5.el6_4.noarch
    candlepin-scl-quartz-2.1.5-5.el6_4.noarch
    candlepin-scl-rhino-1.7R3-1.el6_4.noarch
    candlepin-scl-runtime-1-5.el6_4.noarch
    candlepin-selinux-0.9.19-1.el6_5.noarch
    candlepin-tomcat6-0.9.19-1.el6_5.noarch
    createrepo-0.9.9-21.2.pulp.el6sat.noarch
    elasticsearch-0.90.10-4.el6sat.noarch
    katello-1.5.0-28.el6sat.noarch
    katello-ca-1.0-1.noarch
    katello-certs-tools-1.5.6-1.el6sat.noarch
    katello-installer-0.0.57-1.el6sat.noarch
    m2crypto-0.21.1.pulp-10.el6sat.x86_64
    mod_wsgi-3.4-1.pulp.el6sat.x86_64
    pulp-katello-0.3-3.el6sat.noarch
    pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
    pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
    pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
    pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
    pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
    pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
    pulp-server-2.4.0-0.30.beta.el6sat.noarch
    python-gofer-qpid-1.3.0-1.el6sat.noarch
    python-isodate-0.5.0-1.pulp.el6sat.noarch
    python-kombu-3.0.15-12.pulp.el6sat.noarch
    python-pulp-bindings-2.4.0-0.30.beta.el6sat.noarch
    python-pulp-common-2.4.0-0.30.beta.el6sat.noarch
    python-pulp-puppet-common-2.4.0-0.30.beta.el6sat.noarch
    python-pulp-rpm-common-2.4.0-0.30.beta.el6sat.noarch
    python-qpid-0.22-14.el6sat.noarch
    python-qpid-qmf-0.22-33.el6.x86_64
    qpid-cpp-client-0.22-42.el6.x86_64
    qpid-cpp-server-0.22-42.el6.x86_64
    qpid-cpp-server-linearstore-0.22-42.el6.x86_64
    qpid-java-client-0.22-6.el6.noarch
    qpid-java-common-0.22-6.el6.noarch
    qpid-proton-c-0.7-1.el6.x86_64
    qpid-qmf-0.22-33.el6.x86_64
    qpid-tools-0.22-12.el6.noarch
    ruby193-rubygem-katello-1.5.0-78.el6sat.noarch
    rubygem-hammer_cli_katello-0.0.4-10.el6sat.noarch


Spoke to devs, the scope of this bug is 
1) check whether foreman-proxy gets installed when setting up capsule just with realm.
2) and the realm.yml file at /etc/foreman-proxy/settings.d/ gets populated when we run the capusle-installer for configuring realm.

Comment 8 Bryan Kearney 2014-09-11 12:27:51 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.